package com.bocloud.nms.model.hillstone;

import java.util.List;

public class SyncModel {
    private List<AddressBookModel> addressBooks; // 地址本
    private List<CountryBookModel> countryBooks; // 地区本
    private List<ServiceBookModel> serviceBooks; // 服务本
    private List<ServiceGroupModel> serviceGroups; // 服务组
    private List<MonitorBookModel> monitorBooks; // 监控对象
    private List<TimeBookModel> timeBooks; // 时间表
    private List<SafeZoneModel> safeZones; // 安全域
    private List<InterfaceModel> interfaces; // 接口
    private List<VirtualRouteModel> virtualRoutes; // 虚拟路由，其中包含了：源路由、源接口路由、目的路由、目的接口路由、就近探测路由、ISP路由、RIP、源NAY、目的NAT
    private List<IspInfoModel> ispInfos; // ISP信息
    private List<PolicyRouteModel> policyRoutes; // 策略路由
    private List<SecurityPolicyModel> securityPolicies; // 安全策略
    private List<SLBServiceTypeModel> slbServiceTypes; // SLB服务器状态
    private List<BlackIpModel> blackIps; // IP黑名单
    private List<BlackServiceModel> blackServices; // 服务黑名单
    private List<VpnIpsecConfigModel> vpnIpsecConfigs; // IPsecVPN列表
    private List<VpnIpsecPeerModel> vpnIpsecPeers; // IPsecVPN对端列表
    private List<VpnIpsecProposal1Model> vpnIpsecProposal1s; // IPsecVPN P1提议
    private List<VpnIpsecProposal2Model> vpnIpsecProposal2s; // IPsecVPN P2提议
    private List<SignatureTrustDomainModel> signatureTrustDomains; // 签名信任域
    private List<ConfigBackupModel> configBackups; // 配置文件备份
    private List<SystemRoleModel> systemRoles; // 系统角色
    private List<SystemUserModel> systemUsers; // 系统用户
    private List<AAAServerModel> aaaServers; // AAA服务器
    private List<LocalUserModel> localUsers; // 用户
    private List<LocalUserGroupModel> userGroups; // 用户
    private List<ApplicationBookModel> applicationBooks; // 应用、应用组、应用过滤组
    private List<ApplicationStaticFeatureRuleModel> applicationStaticFeatureRules; // 应用特征规则
    private List<ARPAuthModel> arpAuths; // ARP防护-认证
    private List<ARPBindModel> arpBinds; // ARP防护-绑定
    private List<ARPCheckModel> arpChecks; // ARP防护-检查
    private List<SNMPHostModel> snmpHosts; // SNMP主机
    private SNMPProxyModel snmpProxy; // SNMP代理
    private List<SNMPV3GroupModel> snmpv3Groups; // SNMPV3用户组
    private List<SNMPV3UserModel> snmpv3Users; // SNMPV3组
    private List<VirtualSwitchModel> virtualSwitches; // 虚拟交换机

    public List<AddressBookModel> getAddressBooks() {
        return addressBooks;
    }

    public void setAddressBooks(List<AddressBookModel> addressBooks) {
        this.addressBooks = addressBooks;
    }

    public List<CountryBookModel> getCountryBooks() {
        return countryBooks;
    }

    public void setCountryBooks(List<CountryBookModel> countryBooks) {
        this.countryBooks = countryBooks;
    }

    public List<ServiceBookModel> getServiceBooks() {
        return serviceBooks;
    }

    public void setServiceBooks(List<ServiceBookModel> serviceBooks) {
        this.serviceBooks = serviceBooks;
    }

    public List<ServiceGroupModel> getServiceGroups() {
        return serviceGroups;
    }

    public void setServiceGroups(List<ServiceGroupModel> serviceGroups) {
        this.serviceGroups = serviceGroups;
    }

    public List<MonitorBookModel> getMonitorBooks() {
        return monitorBooks;
    }

    public void setMonitorBooks(List<MonitorBookModel> monitorBooks) {
        this.monitorBooks = monitorBooks;
    }

    public List<TimeBookModel> getTimeBooks() {
        return timeBooks;
    }

    public void setTimeBooks(List<TimeBookModel> timeBooks) {
        this.timeBooks = timeBooks;
    }

    public List<SafeZoneModel> getSafeZones() {
        return safeZones;
    }

    public void setSafeZones(List<SafeZoneModel> safeZones) {
        this.safeZones = safeZones;
    }

    public List<InterfaceModel> getInterfaces() {
        return interfaces;
    }

    public void setInterfaces(List<InterfaceModel> interfaces) {
        this.interfaces = interfaces;
    }

    public List<VirtualRouteModel> getVirtualRoutes() {
        return virtualRoutes;
    }

    public void setVirtualRoutes(List<VirtualRouteModel> virtualRoutes) {
        this.virtualRoutes = virtualRoutes;
    }

    public List<IspInfoModel> getIspInfos() {
        return ispInfos;
    }

    public void setIspInfos(List<IspInfoModel> ispInfos) {
        this.ispInfos = ispInfos;
    }

    public List<PolicyRouteModel> getPolicyRoutes() {
        return policyRoutes;
    }

    public void setPolicyRoutes(List<PolicyRouteModel> policyRoutes) {
        this.policyRoutes = policyRoutes;
    }

    public List<SecurityPolicyModel> getSecurityPolicies() {
        return securityPolicies;
    }

    public void setSecurityPolicies(List<SecurityPolicyModel> securityPolicies) {
        this.securityPolicies = securityPolicies;
    }

    public List<SLBServiceTypeModel> getSlbServiceTypes() {
        return slbServiceTypes;
    }

    public void setSlbServiceTypes(List<SLBServiceTypeModel> slbServiceTypes) {
        this.slbServiceTypes = slbServiceTypes;
    }

    public List<BlackIpModel> getBlackIps() {
        return blackIps;
    }

    public void setBlackIps(List<BlackIpModel> blackIps) {
        this.blackIps = blackIps;
    }

    public List<BlackServiceModel> getBlackServices() {
        return blackServices;
    }

    public void setBlackServices(List<BlackServiceModel> blackServices) {
        this.blackServices = blackServices;
    }

    public List<VpnIpsecConfigModel> getVpnIpsecConfigs() {
        return vpnIpsecConfigs;
    }

    public void setVpnIpsecConfigs(List<VpnIpsecConfigModel> vpnIpsecConfigs) {
        this.vpnIpsecConfigs = vpnIpsecConfigs;
    }

    public List<VpnIpsecPeerModel> getVpnIpsecPeers() {
        return vpnIpsecPeers;
    }

    public void setVpnIpsecPeers(List<VpnIpsecPeerModel> vpnIpsecPeers) {
        this.vpnIpsecPeers = vpnIpsecPeers;
    }

    public List<VpnIpsecProposal1Model> getVpnIpsecProposal1s() {
        return vpnIpsecProposal1s;
    }

    public void setVpnIpsecProposal1s(List<VpnIpsecProposal1Model> vpnIpsecProposal1s) {
        this.vpnIpsecProposal1s = vpnIpsecProposal1s;
    }

    public List<VpnIpsecProposal2Model> getVpnIpsecProposal2s() {
        return vpnIpsecProposal2s;
    }

    public void setVpnIpsecProposal2s(List<VpnIpsecProposal2Model> vpnIpsecProposal2s) {
        this.vpnIpsecProposal2s = vpnIpsecProposal2s;
    }

    public List<SignatureTrustDomainModel> getSignatureTrustDomains() {
        return signatureTrustDomains;
    }

    public void setSignatureTrustDomains(List<SignatureTrustDomainModel> signatureTrustDomains) {
        this.signatureTrustDomains = signatureTrustDomains;
    }

    public List<ConfigBackupModel> getConfigBackups() {
        return configBackups;
    }

    public void setConfigBackups(List<ConfigBackupModel> configBackups) {
        this.configBackups = configBackups;
    }

    public List<SystemRoleModel> getSystemRoles() {
        return systemRoles;
    }

    public void setSystemRoles(List<SystemRoleModel> systemRoles) {
        this.systemRoles = systemRoles;
    }

    public List<SystemUserModel> getSystemUsers() {
        return systemUsers;
    }

    public void setSystemUsers(List<SystemUserModel> systemUsers) {
        this.systemUsers = systemUsers;
    }

    public List<AAAServerModel> getAaaServers() {
        return aaaServers;
    }

    public void setAaaServers(List<AAAServerModel> aaaServers) {
        this.aaaServers = aaaServers;
    }

    public List<ApplicationBookModel> getApplicationBooks() {
        return applicationBooks;
    }

    public void setApplicationBooks(List<ApplicationBookModel> applicationBooks) {
        this.applicationBooks = applicationBooks;
    }

    public List<ApplicationStaticFeatureRuleModel> getApplicationStaticFeatureRules() {
        return applicationStaticFeatureRules;
    }

    public void setApplicationStaticFeatureRules(List<ApplicationStaticFeatureRuleModel> applicationStaticFeatureRules) {
        this.applicationStaticFeatureRules = applicationStaticFeatureRules;
    }

    public List<ARPAuthModel> getArpAuths() {
        return arpAuths;
    }

    public void setArpAuths(List<ARPAuthModel> arpAuths) {
        this.arpAuths = arpAuths;
    }

    public List<ARPBindModel> getArpBinds() {
        return arpBinds;
    }

    public void setArpBinds(List<ARPBindModel> arpBinds) {
        this.arpBinds = arpBinds;
    }

    public List<ARPCheckModel> getArpChecks() {
        return arpChecks;
    }

    public void setArpChecks(List<ARPCheckModel> arpChecks) {
        this.arpChecks = arpChecks;
    }

    public List<SNMPHostModel> getSnmpHosts() {
        return snmpHosts;
    }

    public void setSnmpHosts(List<SNMPHostModel> snmpHosts) {
        this.snmpHosts = snmpHosts;
    }

    public SNMPProxyModel getSnmpProxy() {
        return snmpProxy;
    }

    public void setSnmpProxy(SNMPProxyModel snmpProxy) {
        this.snmpProxy = snmpProxy;
    }

    public List<SNMPV3GroupModel> getSnmpv3Groups() {
        return snmpv3Groups;
    }

    public void setSnmpv3Groups(List<SNMPV3GroupModel> snmpv3Groups) {
        this.snmpv3Groups = snmpv3Groups;
    }

    public List<SNMPV3UserModel> getSnmpv3Users() {
        return snmpv3Users;
    }

    public void setSnmpv3Users(List<SNMPV3UserModel> snmpv3Users) {
        this.snmpv3Users = snmpv3Users;
    }

    public List<VirtualSwitchModel> getVirtualSwitches() {
        return virtualSwitches;
    }

    public void setVirtualSwitches(List<VirtualSwitchModel> virtualSwitches) {
        this.virtualSwitches = virtualSwitches;
    }

    public List<LocalUserModel> getLocalUsers() {
        return localUsers;
    }

    public void setLocalUsers(List<LocalUserModel> localUsers) {
        this.localUsers = localUsers;
    }

    public List<LocalUserGroupModel> getUserGroups() {
        return userGroups;
    }

    public void setUserGroups(List<LocalUserGroupModel> userGroups) {
        this.userGroups = userGroups;
    }
}
